View Issue Details

IDProjectCategoryLast Update
0026085AI War 2SuggestionJan 13, 2022 6:21 pm
ReporterMac Assigned Tox4000Bughunter  
Severityminor 
Status resolvedResolutionfixed 
Product VersionBeta 3.781 Tachyon Healing Reversal 
Fixed in VersionBeta 3.784 Tractor Recursion 
Summary0026085: Disabling Pursuit Mode Keeps Targets and Moves to Engage
DescriptionIn Classic, the end key used to clear the selection's move orders and target orders/preferred target list. The only way to clear their targets is if their target is no longer available to be attacked. The reason I'm posting this is because this is a little annoying if, for instance, you are attacking and you change the fleet from pursuit mode to attack move mode. The ships will still go out to attack whatever they were previously looking at, even after given new orders.

This bypasses the usual attack move behavior of never targeting things outside of the ship's range, as they have already selected a target. The only way to get them to not attack the target is by them either destroying the target, the target leaves the planet (or goes invisible), or they are specifically given a new *attack* order via right-click (if given a movement order, they will still go to attack).

I understand that the targets being cleared will probably affect *all* targets, rather than just simply the pursuit mode stuff, so this can be put on the backburner for now. If, in the future, there is a flag for indicating if the player gave a direct attack order (right click on a ship) vs pursuit mode auto-targeting, I would appreciate it if the pursuit-mode target list was cleared when leaving pursuit mode.
TagsNo tags attached.

Activities

x4000Bughunter

Jan 9, 2022 4:14 pm

administrator   ~0063722

I'm a bit confused -- End doesn't seem to be bound to anything by default, and I don't see any functions for clearing a selections orders at all. Do you have a custom binding? What's the name of the keybind?

Mac

Jan 11, 2022 1:38 pm

reporter   ~0063737

Sorry, it turns out I was thinking of a keybind in the first game. I am still of the opinion that ships should clear their target (if there's a way to differentiate between player-chosen targets and pursuit-chosen targets) when exiting pursuit mode. It seems a little off that they will keep charging at a target even after leaving pursuit mode and given a move order to stay put.

Mac

Jan 11, 2022 1:47 pm

reporter   ~0063738

*Edit* Changed the post from a false bug report to a suggestion.

x4000Bughunter

Jan 13, 2022 6:21 pm

administrator   ~0063766

Thanks!

* When you change the mode (pursuit, not pursuit, attacker) of a ship, it should now dump any non-human-issued orders that it has.
** Essentially, if it was chasing some unit, it should now reconsider its options and decide if it should chase something else. The idea is if the old target is out of range now, it shouldn't still be chasing it, or if its old target was a semi-useful one in range it should now choose one out of range if it can, etc.
** How well this works remains to be seen, since I didn't have a save to replicate this from, I didn't test it at all.

Issue History

Date Modified Username Field Change
Jan 8, 2022 12:29 pm Mac New Issue
Jan 9, 2022 4:14 pm x4000Bughunter Assigned To => x4000Bughunter
Jan 9, 2022 4:14 pm x4000Bughunter Status new => feedback
Jan 9, 2022 4:14 pm x4000Bughunter Note Added: 0063722
Jan 11, 2022 1:38 pm Mac Note Added: 0063737
Jan 11, 2022 1:38 pm Mac Status feedback => assigned
Jan 11, 2022 1:47 pm Mac Category Bug - Gameplay => Suggestion
Jan 11, 2022 1:47 pm Mac Summary End Key No Longer Clears Target => Disabling Pursuit Mode Keeps Targets and Moves to Engage
Jan 11, 2022 1:47 pm Mac Description Updated
Jan 11, 2022 1:47 pm Mac Note Added: 0063738
Jan 13, 2022 6:21 pm x4000Bughunter Status assigned => resolved
Jan 13, 2022 6:21 pm x4000Bughunter Resolution open => fixed
Jan 13, 2022 6:21 pm x4000Bughunter Fixed in Version => Beta 3.784 Tractor Recursion
Jan 13, 2022 6:21 pm x4000Bughunter Note Added: 0063766